package net.novagamestudios.kaffeekasse.model.session

import kotlinx.serialization.Serializable

/**
 * A user of the kaffeekasse that can be logged in.
 *
 * @param user The user name
 * @param displayName The display name of the user. This is usually the first and last name separated by a space.
 */
@Serializable
data class User(
    val user: String? = null,
    val displayName: String? = null
) : java.io.Serializable
